grid.cap {grid} | R Documentation

## Capture a raster image

### Description

Capture the current contents of a graphics device as a raster (bitmap) image.

### Usage

    grid.cap()

### Details

This function is only implemented for on-screen graphics devices.

### Value

A matrix of R colour names.

### Author(s)

Paul Murrell

### See Also

`grid.raster`

`dev.capabilities` to see if it is supported.

### Examples

    ## Not run:
    dev.new(width=.5, height=.5)
    grid.rect()
    grid.text("hi")
    cap <- grid.cap()
    dev.off()

    grid.raster(cap, width=.5, height=.5, interpolate=FALSE)

    ## End(Not run)

[Package grid version 2.15.1 Index]